# How to enable CORS for the QLM License Server

To enable CORS for the QLM License Server, edit the web.config file of the License Server and add the following fragments in the system.webServer section:

```
<httpProtocol>
   <customHeaders>
      <add name="Access-Control-Allow-Headers" value="accept, content-type" />
      <add name="Access-Control-Allow-Origin" value="*" />
      <add name="Access-Control-Allow-Methods" value="POST, GET, OPTIONS" />
   </customHeaders>
</httpProtocol>
```

Example:

&#x20;

![mceclip0.png](https://support.soraco.co/hc/article_attachments/360078545012/mceclip0.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/qlm-license-server/how-to-enable-cors-for-the-qlm-license-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
